-- user
-- Table for User Entity
-- 1_user_create_table.sql
CREATE TABLE IF NOT EXISTS user_entity (
    _id INTEGER PRIMARY KEY AUTOINCREMENT, -- 0
    id TEXT,
    username TEXT,
    email TEXT,
    first_name TEXT,
    last_name TEXT,
    last_initial TEXT,
    display_name TEXT,
    introduction TEXT,
    hobbies TEXT,
    goal_statement TEXT, -- 10
    profile_statement TEXT,
    birthdate TEXT,
    gender TEXT,
    height REAL,
    weight REAL,
    timezone TEXT,
    date_joined INTEGER,
    last_login INTEGER,
    display_measurement_system TEXT,

    communication_promotions BOOLEAN, -- 20
    communication_newsletter BOOLEAN,
    communication_system_messages BOOLEAN,

    sharing_twitter BOOLEAN,
    sharing_facebook BOOLEAN,

    location_country TEXT,
    location_region TEXT,
    location_locality TEXT,
    location_address TEXT,

    profile_image_small TEXT,
    profile_image_medium TEXT, -- 30
    profile_image_large TEXT
);
CREATE UNIQUE INDEX IF NOT EXISTS idx_user_entity_remote_id ON user_entity(id);